import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Random;
import javax.swing.*;
public class Main {
    public static void main(String[] args) {
        JFrame AirplaneWithRadarFrame = new JFrame();
        JPanel AirplaneWithRadarPanel = new JPanel();
        AirplaneWithRadarFrame.setLayout(new BorderLayout());
        AirplaneWithRadarFrame.setSize(900, 500);
        AirplaneWithRadarFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        AirplaneWithRadarFrame.setLayout(new BorderLayout(1,1));
        AirplaneWithRadarFrame.setResizable(false);
        DrawningAirplaneWithRadar DrawningEntityAirplaneWithRadar = new DrawningAirplaneWithRadar();
        AirplaneWithRadarPanel.setLayout(null);
        BufferedImage RightIcon = ImageIO.read(new File("RightButton.png"));
        BufferedImage LeftIcon = ImageIO.read(new File("LeftButton.png"));
        BufferedImage UpIcon = ImageIO.read(new File("UpButton.png"));
        BufferedImage DownIcon = ImageIO.read(new File("DownButton.png"));
        JButton RightButton = new JButton(new ImageIcon(RightIcon));
        JButton LeftButton = new JButton(new ImageIcon(LeftIcon));
        JButton UpButton = new JButton(new ImageIcon(UpIcon));
        JButton DownButton = new JButton(new ImageIcon(DownIcon));
        JButton CreateButton = new JButton();
        CreateButton.setText("Создать");
        CreateButton.setBounds(12, 401, 90, 40);
        RightButton.setBounds(840,411,30,30);
        LeftButton.setBounds(768,411,30,30);
        UpButton.setBounds(804,375,30,30);
        DownButton.setBounds(804,411,30,30);
        AirplaneWithRadarPanel.add(CreateButton);
        AirplaneWithRadarPanel.add(RightButton);
        AirplaneWithRadarPanel.add(LeftButton);
        AirplaneWithRadarPanel.add(UpButton);
        AirplaneWithRadarPanel.add(DownButton);
        AirplaneWithRadarFrame.add(AirplaneWithRadarPanel, BorderLayout.CENTER);
        Random random = new Random();
        CreateButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                DrawningEntityAirplaneWithRadar.Init(random.nextInt(100, 300), random.nextDouble(1000, 3000),
                        Color.getHSBColor(random.nextInt(0, 301), random.nextInt(0, 301), random.nextInt(0, 301)),
                        Color.getHSBColor(random.nextInt(0, 301), random.nextInt(0, 301), random.nextInt(0, 301)),
                        Color.getHSBColor(random.nextInt(0, 301), random.nextInt(0, 301), random.nextInt(0, 301)),
                        random.nextInt(1, 4)*10,
                        AirplaneWithRadarPanel.getWidth(), AirplaneWithRadarPanel.getHeight(), random.nextBoolean(), random.nextBoolean(), AirplaneWithRadarPanel);

                DrawningEntityAirplaneWithRadar.SetPosition(random.nextInt(90) + 10, random.nextInt(90) + 10);
                DrawningEntityAirplaneWithRadar.DrawAirplaneWithRadar();
            }
        });
        RightButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                if(DrawningEntityAirplaneWithRadar.EntityAirplaneWithRadar() == null)
                    return;
                DrawningEntityAirplaneWithRadar.MoveTransport(DirectionType.Right);
                DrawningEntityAirplaneWithRadar.DrawAirplaneWithRadar();
            }
        });
        LeftButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                if(DrawningEntityAirplaneWithRadar.EntityAirplaneWithRadar() == null)
                    return;
                DrawningEntityAirplaneWithRadar.MoveTransport(DirectionType.Left);
                DrawningEntityAirplaneWithRadar.DrawAirplaneWithRadar();
            }
        });
        UpButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                if(DrawningEntityAirplaneWithRadar.EntityAirplaneWithRadar() == null)
                    return;
                DrawningEntityAirplaneWithRadar.MoveTransport(DirectionType.Up);
                DrawningEntityAirplaneWithRadar.DrawAirplaneWithRadar();
            }
        });
        DownButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                if(DrawningEntityAirplaneWithRadar.EntityAirplaneWithRadar() == null)
                    return;
                DrawningEntityAirplaneWithRadar.MoveTransport(DirectionType.Down);
                DrawningEntityAirplaneWithRadar.DrawAirplaneWithRadar();
            }
        });
        AirplaneWithRadarFrame.setVisible(true);
    }
}